#include"bitmap.h"
#include<stdlib.h>
#include<stdio.h>

int main(int argc, char *argv[])
{
	if(argc != 3){
		fprintf(stderr, "Usage: program <inputfile> <outputfile>\n");
		exit(1);
	}

	Image *colorimg;

	if((colorimg = Read_Bmp(argv[1])) == NULL){
		exit(1);
	}

	Rgb_to_Hsv(colorimg);
	Hsvsethue(colorimg, 120, 330, 40);
	//Hsvsetsaturation(colorimg, 0, 0, 255);
	//Hsvsetbright(colorimg, 255, 0, 255);
	Hsv_to_Rgb(colorimg);
	
	if(Write_Bmp(argv[2], colorimg)){
		exit(1);
	}

	Free_Image(colorimg);

	return 0;
}

